From 1222c2067ccaeef69878bd3101fc579011b3e191 Mon Sep 17 00:00:00 2001
From: Luke Dashjr <luke-jr+git@utopios.org>
Date: Mon, 24 Jan 2022 01:35:21 +0000
Subject: [PATCH] Add CMake option DISABLE_PIPEWIRE to skip dependency check

---
 CMakeLists.txt | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 4f8241f..01e6f57 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -79,7 +79,10 @@ include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )
 find_package(LibVNCServer REQUIRED)
 
 
-pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3)
+option(DISABLE_PIPEWIRE "Disable PipeWire support." OFF)
+if(NOT DISABLE_PIPEWIRE)
+    pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3)
+endif()
 add_feature_info(PipeWire PipeWire_FOUND "Required for pipewire screencast plugin")
 find_package(PlasmaWaylandProtocols 1.5.0)
 
-- 
GitLab

